<?php

/***********************************************************************************************************
* InlineAttachments.template.php - Template of Post and PM Inline Attachments mod (v7.08)                  *
************************************************************************************************************
* This mod is licensed under the 2-Clause BSD License, which can be found here:                            *
*	https://opensource.org/licenses/BSD-2-Clause                                                           *
************************************************************************************************************
* Copyright (c) 2014-2020 Douglas Orend, 2018-2022 Kathy Leslie                                            *
* Redistribution and use in source and binary forms, with or without modification, are permitted provided  *
* that the following conditions are met:                                                                   *
* 1. Redistributions of source code must retain the above copyright notice, this list of conditions        *
*    and the following disclaimer.                                                                         *
* 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and *
*    the following disclaimer in the documentation and/or other materials provided with the distribution.  *
* This software is provided by the copyright holders and contributors "as is" and any express or implied   *
* warranties, including, but not limited to, the implied warranties of merchantability and fitness for a   *
* particular purpose are disclaimed. In no event shall the copyright holder or contributors be liable for  *
* any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not       *
* limited to, procurement of substitute goods or services; loss of use, data, or profits; or business      *
* interruption) however caused and on any theory of liability, whether in contract, strict liability, or   *
* tort (including negligence or otherwise) arising in any way out of the use of this software, even if     *
* advised of the possibility of such damage.                                                               *
***********************************************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

//================================================================================
// Template functions necessary to perform the popup:
//================================================================================
function template_ILA_popup_above()
{
	global $txt, $scripturl, $settings;
	
	echo '
	<div id="ila_popup" class="ila_overlay">
		<div class="ila_popup">
			<div class="cat_bar">
				<h3 class="catbg">
					<span class="ie6_header floatleft">', $txt['ila_popup_title'], '</span>
				</h3>
			</div>
			<a class="ila_close" href="#" onclick="history.go(-1); return false;">&times;</a>
			<div class="ila_content">', $parsed['body'], '</div>
		</div>
	</div>';
}

function template_ILA_popup_below()
{
}

function template_ILA_popup_trigger()
{
	global $boardurl, $txt;
	echo ' <a class="button" href="#ila_popup"><img src="', $boardurl, '/Themes/default/images/helptopics.gif" class="icon" alt="', $txt['ila_popup_title'], '"></a>';
}

?>
