<?php

/***********************************************************************************************************
* InlineAttachmentsAdmin.english-utf8.php - English language file                                          *
************************************************************************************************************
* This mod is licensed under the 2-Clause BSD License, which can be found here:                            *
*    https://opensource.org/licenses/BSD-2-Clause                                                          *
************************************************************************************************************
* Copyright (c) 2014-2020 Douglas Orend, 2018-2022 Kathy Leslie                                            *
* Redistribution and use in source and binary forms, with or without modification, are permitted provided  *
* that the following conditions are met:                                                                   *
* 1. Redistributions of source code must retain the above copyright notice, this list of conditions        *
*    and the following disclaimer.                                                                         *
* 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and *
*    the following disclaimer in the documentation and/or other materials provided with the distribution.  *
* This software is provided by the copyright holders and contributors "as is" and any express or implied   *
* warranties, including, but not limited to, the implied warranties of merchantability and fitness for a   *
* particular purpose are disclaimed. In no event shall the copyright holder or contributors be liable for  *
* any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not       *
* limited to, procurement of substitute goods or services; loss of use, data, or profits; or business      *
* interruption) however caused and on any theory of liability, whether in contract, strict liability, or   *
* tort (including negligence or otherwise) arising in any way out of the use of this software, even if     *
* advised of the possibility of such damage.                                                               *
************************************************************************************************************
* French translation by Sebastiii                                                                          *
* (https://www.simplemachines.org/community/index.php?action=profile;u=644678)                             *
***********************************************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

global $helptxt, $txt;
loadLanguage('InlineAttachments');

// Regular language strings:
$txt['ila_admin_settings'] = 'Pièces jointes en ligne';
$txt['ila_new_version'] = 'La version %s du mod Post and PM Inline Attachments est disponible au téléchargement !';
$txt['ila_no_update'] = 'Votre installation de Post et PM Inline Attachments est à jour !';
$txt['ila_posts_completed'] = '%s messages avec des balises de pièces jointes en ligne ont été mis à jour !';

$txt['ila_title'] = 'Publication et pièces jointes MP en ligne';
$txt['ila_insert_tag'] = 'Tag à utiliser lors de l\'insertion de pièces jointes en ligne :';
$txt['ila_attach_same_as_attachment'] = '\'attach\' bbcode identique à \'attachment\'?';
$txt['ila_insert_format'] = 'Format pour insérer de nouvelles balises de pièces jointes :';

$txt['ila_max_width'] = 'Restreindre les images à une largeur maximale en pixels de :<div class="smalltext">REMARQUE : <strong>0</strong> = désactivé (c\'est-à-dire que l\'image sera affichée à 100 % de largeur)< /div>';
$txt['ila_max_height'] = 'Restreindre les images à une hauteur maximale en pixels de :<div class="smalltext">REMARQUE : <strong>0</strong> = désactivé (c\'est-à-dire que l\'image sera affichée à 100 % de hauteur)< /div>';
$txt['ila_enable_responsive'] = 'Activer le CSS réactif pour les pièces jointes en ligne ?';
$txt['ila_highslide'] = 'Activer les effets Highslide pour les pièces jointes en ligne ?';

$txt['ila_one_based_numbering'] = 'La première pièce jointe doit-elle être numérotée 1 ?<br /><span class="alert"><strong>Remarque importante si ce mod a déjà été installé sur ce forum :</strong><br /> L\'enregistrement d\'une modification de ce paramètre entraînera la renumérotation des balises de pièce jointe en ligne dans tous les messages existants. Vous <strong>DEVEZ donc</strong> mettre le forum en mode maintenance au préalable pour vous assurer que de nouvelles pièces jointes en ligne ne sont pas ajoutées aux messages avant la fin de la le processus de renumérotation est terminé !</span>';
$txt['ila_one_based_numbering_alert'] = 'Lorsque vous enregistrez ces paramètres, les identifiants des pièces jointes en ligne dans les messages existants seront renumérotés.';
$txt['ila_one_based_numbering_total'] = ' messages traités - total de ';
$txt['ila_one_based_numbering_batches'] = ' messages à traiter par lots de ';

$txt['ila_no_invalid_attachment_warning'] = 'Ne <b>pas</b> afficher <em> ' . $txt['ila_invalid'] . ' </em> avertissement pour les pièces jointes manquantes dans les messages' ;
$txt['ila_allow_quoted_images'] = 'Autoriser les images de pièces jointes citées d\'un autre article ?';
$txt['ila_duplicate'] = 'Supprimer l\'image de la pièce jointe sous le message après utilisation en ligne ?';
$txt['ila_download_count'] = 'Lien de téléchargement et réglage du compteur pour les pièces jointes <strong>intégrées</strong> :';
/* 0 */ $txt['ila_download_count_n'] = 'Désactivé';
/* 1 */ $txt['ila_download_count_f'] = 'Nom de fichier uniquement';
/* 2 */ $txt['ila_download_count_fs'] = 'Nom de fichier et taille';
/* 3 */ $txt['ila_download_count_fsd'] = 'Nom de fichier, taille et dimensions';
/* 4 */ $txt['ila_download_count_fsdc'] = 'Nom de fichier, taille, dimensions et nombre';
/* 5 */ $txt['ila_download_count_fsdc2'] = 'Nom du fichier, taille, dimensions et nombre (2 lignes)';
/* 6 */ $txt['ila_download_count_fsdc3'] = 'Nom du fichier, taille, dimensions et nombre (3 lignes)';
/* 7 */ $txt['ila_download_count_fsd2'] = 'Nom du fichier, taille et dimensions (2 lignes)';
/* 8 */ $txt['ila_download_count_fsd3'] = 'Nom du fichier, taille et dimensions (3 lignes)';
/* 9 */ $txt['ila_download_count_sc2'] = 'Taille et nombre de fichiers - fichiers non image (par exemple, mp3, pdf, zip, etc.) uniquement (2 lignes)';

$txt['ila_transparent'] = 'Images non approuvées affichées comme transparentes : (%)<div class="smalltext">REMARQUE : <strong>0</strong> désactive l\'affichage des images non approuvées</div>';

$txt['ila_below_post_show'] = 'Afficher les pièces jointes sous le message dans une rangée/ligne ?';
$txt['ila_below_post_number'] = 'Nombre de pièces jointes à afficher par ligne/ligne :<div class="smalltext">REMARQUE : <strong>0</strong> = laisser le navigateur gérer le retour à la ligne/ligne</div>' ;
$txt['ila_below_post_count'] = 'Lien de téléchargement et réglage du compteur pour les pièces jointes <strong>sous la publication</strong> :';
/* 0 */ $txt['ila_below_post_count_n'] = 'Désactivé';
/* 1 */ $txt['ila_below_post_count_f'] = 'Nom de fichier uniquement';
/* 2 */ $txt['ila_below_post_count_fs'] = 'Nom de fichier et taille';
/* 3 */ $txt['ila_below_post_count_fsd'] = 'Nom de fichier, taille et dimensions';
/* 4 */ $txt['ila_below_post_count_fsdc'] = 'Nom de fichier, taille, dimensions et nombre';
/* 5 */ $txt['ila_below_post_count_fsdc2'] = 'Nom du fichier, taille, dimensions et nombre (2 lignes)';
/* 6 */ $txt['ila_below_post_count_fsdc3'] = 'Nom du fichier, taille, dimensions et nombre (3 lignes)';
/* 7 */ $txt['ila_below_post_count_fsd2'] = 'Nom du fichier, taille et dimensions (2 lignes)';
/* 8 */ $txt['ila_below_post_count_fsd3'] = 'Nom du fichier, taille et dimensions (3 lignes)';
/* 9 */ $txt['ila_below_post_count_sc2'] = 'Taille et nombre de fichiers - fichiers non image (par exemple, mp3, pdf, zip, etc.) uniquement (2 lignes)';

$txt['ila_embed_video_files'] = 'Intégrer les formats vidéo pris en charge dans la publication ?';
$txt['ila_video_default_width'] = 'Largeur par défaut de la vidéo lorsque la largeur n\'est pas spécifiée :';
$txt['ila_video_default_height'] = 'Hauteur par défaut de la vidéo lorsque la hauteur n\'est pas spécifiée :';
$txt['ila_video_show_download_link'] = 'Afficher le lien de téléchargement des vidéos ?';
$txt['ila_video_html5'] = 'Cochez pour utiliser les balises vidéo HTML5 pour afficher la vidéo :';

$txt['ila_embed_svg_files'] = 'Intégrer des fichiers SVG dans le message ?';
$txt['ila_embed_pdf_files'] = 'Incorporer des fichiers PDF dans le message ?';
$txt['ila_embed_txt_files'] = 'Intégrer des fichiers TXT dans le message ?';
$txt['ila_disable_strip_html_in_txt'] = 'Conserver les balises HTML dans les fichiers TXT ?<div class="smalltext">REMARQUE : Autoriser HTML peut autoriser un code malveillant !</div>';

$txt['ila_turn_nosniff_off'] = 'Désactive l\'option \'nosniff\' pour IE 8+ ?';
$txt['ila_display_exif'] = 'Afficher les informations EXIF ​​sous l\'image ?';

$txt['ila_ipp_thumbnail'] = 'Utiliser les valeurs maximales de largeur/hauteur des vignettes pour les images en ligne en mode impression ?<div class="smalltext">REMARQUE : les images affichées entre guillemets et/ou sous le corps du message seront affichées à 50 % largeur/hauteur de la vignette.</div>';
$txt['ila_ipp_inline_wh'] = 'Largeur/hauteur maximale en pixels pour les images en ligne en mode impression :<div class="smalltext">REMARQUE : la valeur minimale est de 150</div>';
$txt['ila_ipp_other_wh'] = 'Largeur/hauteur maximale en pixels pour les images affichées entre guillemets et/ou sous le corps du message en mode impression :<div class="smalltext">REMARQUE : la valeur minimale est de 75</div>';

// Help language strings:
$helptxt['ila_insert_tag'] = 'Cette option vous permet de choisir la balise de pièce jointe en ligne à utiliser avec le lien \'Insérer une pièce jointe\' après chaque téléchargement de pièce jointe.<br /><br />
	Vos choix sont :
	<blockquote class="bbc_standard_quote">
		<strong>attach</strong> : affiche la pièce jointe sous forme de vignette, extensible en taille réelle.<br />
		<strong>attachment</strong> - Afficher la pièce jointe en tant qu\'image en taille réelle<br />
		<strong>attachthumb</strong> - Affiche une vignette NON EXPANSIBLE de la pièce jointe.<br />
		<strong>attachmini</strong> : affiche la pièce jointe sous forme de vignette, extensible en taille réelle. Télécharger le nom du fichier, la taille, les dimensions et le nombre omis ci-dessous (quels que soient les paramètres ILA).<br />
		<strong>atchurl</strong> => Affiche la pièce jointe comme si vous aviez utilisé une balise [b]url[/b] au lieu de cette balise.
	</blockquote>
	La balise de pièce jointe intégrée par défaut est <strong>attach</strong>.';
$helptxt['ila_attach_same_as_attachment'] = 'Lorsqu\'elle est cochée, cette option modifie la balise <strong>attach</strong> afin qu\'elle affiche la pièce jointe sous forme d\'image en taille réelle, comme le fait la balise <strong>attachment</strong>. <br /><br />Le paramètre par défaut (<strong>décoché</strong>) est d\'afficher la pièce jointe sous forme de vignette, extensible à une image en taille réelle.';
$helptxt['ila_enable_responsive'] = 'Cocher cette option redimensionne dynamiquement les images afin qu\'elles restent dans la zone de publication du forum, quelle que soit la taille de la fenêtre. Si cette option n\'est pas cochée et si une largeur/hauteur spécifique n\'est pas définie, les images déborderont sur la zone de publication et nécessiteront d\'utiliser les barres de défilement pour afficher l\'image entière.';
$helptxt['ila_highslide'] = 'Lorsqu\'elle est cochée, cette option utilise l\'un des mods pris en charge pour afficher l\'image à l\'aide des effets <a href="https://www.highslide.com/">Highslide</a>.< br /><br />Les mods suivants sont pris en charge :
	<blockquote class="bbc_standard_quote">
		<strong><a href="https://github.com/Spuds/SMF-HS4SMF">HS4SMF v0.8.1</a></strong> (doit être installé avant ILA !)<br />
		<strong><a href="https://custom.simplemachines.org/mods/index.php?mod=1450">Visionneuse d\'images Highslide</a></strong><br />
		<strong><a href="https://custom.simplemachines.org/mods/index.php?mod=1605">JQLightBox</a></strong>
	</blockquote>';
$helptxt['ila_one_based_numbering'] = 'Lorsqu\'elle est cochée, cette option modifie toutes les pièces jointes en ligne afin que la première pièce jointe soit numérotée <strong>1</strong> (un), par opposition à la valeur par défaut <strong>0</strong> (zéro).<br /><br />Notez que la modification de cette option entraînera la modification par le mod de toutes les balises de pièces jointes en ligne dans votre forum afin que cette option s\'affiche correctement avec le paramètre modifié.';
$helptxt['ila_allow_quoted_images'] = 'Lorsque cette case est cochée et sans le plugin SMF <a href="https://tapatalk.com/download_SimpleMachines.php">Tapatalk</a>, vous pouvez citer des images et afficher la pièce jointe en ligne correctement. Sinon, la pièce jointe en ligne est remplacée par une chaîne de texte d\'espace réservé indiquant où se trouvait la pièce jointe en ligne dans le message cité.<br /><br />Avec le <a href="https://tapatalk.com/download_SimpleMachines.php" >Tapatalk</a> Plugin SMF installé, cette option n\'est pas disponible, car elle casse l\'application Tapatalk pour une raison quelconque. Les futures versions de ce mod pourraient résoudre ce problème.';
$helptxt['ila_duplicate'] = 'Lorsqu\'elle est cochée, cette option supprime la pièce jointe de la liste des pièces jointes après la publication.<br /><br />La valeur par défaut est <strong>cochée</strong>.';
$helptxt['ila_download_count'] = 'Cette option contrôle ce qui est affiché sous la pièce jointe en ligne. Les options suivantes sont présentes :
	<blockquote class="bbc_standard_quote">
		<strong>Désactivé</strong><br />
		<strong>Nom de fichier uniquement</strong><br />
		<strong>Nom de fichier et taille</strong><br />
		<strong>Nom de fichier, taille et dimensions</strong><br />
		<strong>Nom de fichier, taille, dimensions et nombre</strong><br />
		<strong>Nom de fichier, taille, dimensions et nombre (2 lignes)</strong><br />
		<strong>Nom de fichier, taille, dimensions et nombre (3 lignes)</strong><br />
		<strong>Nom de fichier, taille et dimensions (2 lignes)</strong><br />
		<strong>Nom de fichier, taille et dimensions (3 lignes)</strong><br />
		<strong>Taille et nombre de fichiers – fichiers non image (par exemple, mp3, pdf, zip, etc.) uniquement (2 lignes)</strong><br />
	</blockquote><br />
	Avec l\'option <strong>Nom de fichier, taille, dimensions et nombre</strong>, tout s\'affiche sur une seule ligne, comme ceci :
	<blockquote class="bbc_standard_quote">
		<img src="Themes/default/images/icons/clip.gif" alt="*" align="middle" border="0">&nbsp;</img>Désert.jpg (826,11 ko . 1024x768 - vue 5 fois)
	</blockquote><br />
	Avec l\'option 2 lignes, le lien de téléchargement est sur la première ligne ; La taille, les dimensions et le nombre de téléchargements sont sur la deuxième ligne. Exemple:
	<blockquote class="bbc_standard_quote">
		<img src="Themes/default/images/icons/clip.gif" alt="*" align="middle" border="0" style="margin-bottom : -1.4em;">&nbsp;</img >Désert.jpg<br />
		(826,11 ko . 1024x768 - vue 3 fois)
	</blockquote><br />
	Avec l\'option 3 lignes, le lien de téléchargement est sur la première ligne ; La taille et les dimensions sont sur la deuxième ligne; Le nombre de téléchargements est sur la troisième ligne.
	<blockquote class="bbc_standard_quote">
		<img src="Themes/default/images/icons/clip.gif" alt="*" align="middle" border="0" style="margin-bottom : -1.4em;">&nbsp;</img >Désert.jpg<br />
		(826,11 ko . 1024x768)<br />
		(vu 2 fois)<br />
	</blockquote>';

$helptxt['ila_below_post_show'] = 'Lorsque coché, et si l\'affichage des pièces jointes est autorisé, les pièces jointes affichées sous le message seront affichées sur une ligne/ligne';
$helptxt['ila_below_post_number'] = 'Une valeur non nulle (par exemple, 1, 2, 3, etc.) déterminera le nombre maximum de pièces jointes à afficher sur chaque ligne/ligne.<br /><br />REMARQUES : <br />Une valeur de <strong>0</strong> permettra au navigateur de gérer le retour à la ligne.<br />Une valeur de <strong>1</strong> affichera les pièces jointes dans une seule colonne sous la publication. - c\'est la même manière dont les pièces jointes sont affichées lorsque cette fonctionnalité n\'est pas activée.';
$helptxt['ila_below_post_count'] = 'Cette option contrôle ce qui est affiché sous la pièce jointe en ligne. Les options suivantes sont présentes :
	<blockquote class="bbc_standard_quote">
		<strong>Désactivé</strong><br />
		<strong>Nom de fichier uniquement</strong><br />
		<strong>Nom de fichier et taille</strong><br />
		<strong>Nom de fichier, taille et dimensions</strong><br />
		<strong>Nom de fichier, taille, dimensions et nombre</strong><br />
		<strong>Nom de fichier, taille, dimensions et nombre (2 lignes)</strong><br />
		<strong>Nom de fichier, taille, dimensions et nombre (3 lignes)</strong><br />
		<strong>Nom de fichier, taille et dimensions (2 lignes)</strong><br />
		<strong>Nom de fichier, taille et dimensions (3 lignes)</strong><br />
		<strong>Taille et nombre de fichiers – fichiers non image (par exemple, mp3, pdf, zip, etc.) uniquement (2 lignes)</strong><br />
	</blockquote><br />
Avec l\'option <strong>Nom de fichier, taille, dimensions et nombre</strong>, tout s\'affiche sur une seule ligne, comme ceci :
	<blockquote class="bbc_standard_quote">
<img src="Themes/default/images/icons/clip.gif" alt="*" align="middle" border="0">&nbsp;</img>Désert.jpg (826,11 ko . 1024x768 - vue 5 fois)
	</blockquote><br />
Avec l\'option 2 lignes, le lien de téléchargement est sur la première ligne ; La taille, les dimensions et le nombre de téléchargements sont sur la deuxième ligne. Exemple:
	<blockquote class="bbc_standard_quote">
<img src="Themes/default/images/icons/clip.gif" alt="*" align="middle" border="0" style="margin-bottom : -1.4em;">&nbsp;</img >Désert.jpg<br />
(826,11 ko . 1024x768 - vue 3 fois)
	</blockquote><br />
Avec l\'option 3 lignes, le lien de téléchargement est sur la première ligne ; La taille et les dimensions sont sur la deuxième ligne; Le nombre de téléchargements est sur la troisième ligne.
	<blockquote class="bbc_standard_quote">
<img src="Themes/default/images/icons/clip.gif" alt="*" align="middle" border="0" style="margin-bottom : -1.4em;">&nbsp;</img >Désert.jpg<br />
(826,11 ko . 1024x768)<br />
(vu 2 fois)<br />
	</blockquote>';

$helptxt['ila_transparent'] = 'Cette option modifie la transparence des images non approuvées, sous forme de pourcentage de <strong>0</strong> à <strong>100</strong>. Définir cette valeur sur <strong>0</strong> désactive cette option. Les membres qui ne peuvent pas voir les images non approuvées ne sont pas affectés par cette option.<br /><br />La valeur par défaut est <strong>40</strong>, comme dans <strong>40 %</strong>. ';
$helptxt['ila_embed_video_files'] = 'Lorsqu\'elle est cochée, cette option vous permet d\'intégrer les fichiers vidéo suivants dans une publication :
	<blockquote class="bbc_standard_quote">
		<strong>AVI</strong> - lu avec le lecteur <strong><a href="https://www.divx.com">DivX</a></strong>. Suppose que le codec DivX est installé sur le système d\'exploitation parcouru.<br />
		<strong>WMV</strong> - lu avec Windows Media Player.<br />
		<strong>MP4</strong> : joué à l\'aide de balises HTML5 (lorsque \'Video HTML5\' est coché), avec un code HTML de secours fourni par <a href="https://www.jwplayer.com">JWPlayer</a > Le lecteur Flash.<br />
		<strong>WebM</strong> - joué à l\'aide de balises HTML5 (lorsque \'Video HTML5\' est coché), avec un code HTML de secours fourni par <a href="https://www.jwplayer.com">JWPlayer</a > Le lecteur Flash.<br />
		<strong>OGV</strong> : lecture à l\'aide de balises HTML5 (lorsque \'Video HTML5\' est coché), sans HTML de secours fourni.<br />
	</blockquote>';
$helptxt['ila_video_default_width'] = 'Cette option spécifie la largeur d\'affichage par défaut de la pièce jointe vidéo intégrée. Il peut être remplacé en utilisant les paramètres <strong>width</strong> dans l\'utilisation de la balise de pièce jointe en ligne, tels que :<code class="bbc_code">[attachment id=x width=640]</code><br/ >La valeur par défaut est <strong>640</strong>.';
$helptxt['ila_video_default_height'] = 'Cette option spécifie la hauteur d\'affichage par défaut de la pièce jointe vidéo intégrée. Il peut être remplacé en utilisant les paramètres <strong>height</strong> dans l\'utilisation de la balise de pièce jointe en ligne, tels que :<code class="bbc_code">[attachment id=x height=640]</code><br/ >La valeur par défaut est <strong>400</strong>.';
$helptxt['ila_video_show_download_link'] = 'Lorsque cochée, cette option fournit un lien de téléchargement à l\'utilisateur afin que si la vidéo ne se lit pas sur le site Web, l\'utilisateur puisse télécharger la vidéo afin de la lire localement.';
$helptxt['ila_video_html5'] = 'Lorsque cochée, cette option envoie des balises HTML5 afin de tenter de lire <strong>MP4</strong>, <strong>ogv</strong> et <strong>WebM</strong> formats de fichiers. Indépendamment de ce paramètre, le code HTML de secours est fourni à l\'aide du lecteur Flash de <a href="https://www.jwplayer.com">JWPlayer</a>.<br /><br /><strong>RESTRICTIONS :</strong> Afin de lire avec succès des fichiers vidéo à l\'aide de HTML5 sans utiliser le code HTML de secours, l\'affiche doit télécharger des fichiers vidéo dans tous les formats <strong>3</strong>. Si tous les formats ne sont pas fournis et que les balises HTML vidéo ne peuvent pas lire le format pour le navigateur, le code HTML de secours sera utilisé pour tenter de lire le fichier vidéo. Notez que le fichier vidéo ne peut pas résider sur une adresse IP <strong>localhost</strong>, <strong>127.0.0.1</strong> ou de réseau interne (<strong>192.168.x.x</strong>).';
$helptxt['ila_embed_svg_files'] = 'Lorsqu\'il est utilisé conjointement avec le <a href="https://custom.simplemachines.org/mods/index.php?mod=4085">SVG comme support d\'image jointe</a> mod, cette option vous permet d\'intégrer des images SVG (Scalable Vector Graphics) dans votre message, comme un <strong>JPG</strong>, <strong>GIF</strong> ou <strong>PNG</strong> en ligne normal attachement. Sinon, les pièces jointes SVG en ligne ne peuvent pas être affichées normalement.<br /><br />La valeur par défaut est <strong>décochée</strong>.';
$helptxt['ila_embed_txt_files'] = 'Lorsqu\'elle est cochée, cette option vous permet d\'intégrer le contenu d\'un fichier TXT dans le message.<br /><br />La valeur par défaut est <strong>décochée</strong>.';
$helptxt['ila_embed_pdf_files'] = 'Lorsqu\'elle est cochée, cette option vous permet d\'intégrer un fichier PDF joint dans la publication à l\'aide du service Google Docs. Notez que Google Docs ne peut pas extraire la pièce jointe des adresses <strong>localhost</strong> et <strong>127.0.0.1</strong>, ni des adresses IP insolubles (notamment les adresses IP réseau derrière un routeur, par exemple : <strong>192.168 .1.1</strong>).<br /><br />La valeur par défaut est <strong>décochée</strong>.';
$helptxt['ila_turn_nosniff_off'] = 'Cocher cette option peut aider à résoudre les problèmes où le type MIME d\'une pièce jointe ne correspond pas au type réel de la pièce jointe et les utilisateurs utilisent IE8+.<br /><br />
	<strong>Ce que fait l\'option \'nosniff\' dans IE 8+ :</strong>
	<blockquote class="bbc_standard_quote">
		<strong>Modifications de la gestion MIME</strong>. Les modifications suivantes sont apportées aux algorithmes de détection de type MIME (Multipurpose Internet Mail Extensions) d\'Internet Explorer 8 :<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>Restreindre la détection de type MIME</strong>. Internet Explorer 8 empêche la détection ou le reniflage de données des fichiers avec &nbsp;<em>image/*</em>&nbsp; Types de contenu MIME en HTML ou en script. Si un fichier contient un script et que le serveur déclare qu\'il s\'agit d\'un fichier image, Internet Explorer 8 n\'exécute pas le script intégré.<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>Empêcher la détection de type MIME</strong>. Les applications Web peuvent désormais empêcher la détection de type MIME. Envoi des nouvelles &nbsp;<strong>X-Content-Type-Options : nosniff</strong>&nbsp; empêche Internet Explorer d\'utiliser la détection de type MIME pour modifier le type de contenu déclaré par le serveur.<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>Forcer la sauvegarde</strong>. Pour les applications Web qui doivent servir des fichiers HTML non fiables, Internet Explorer 8 contient un mécanisme qui oblige les utilisateurs à enregistrer localement les fichiers HTML non fiables avant de les ouvrir pour éviter que le contenu non fiable ne compromette la sécurité du site.<br /><br />
	</blockquote>
	Source: <a href="https://technet.microsoft.com/en-us/library/dd919181%28v=WS.10%29.aspx">Microsoft TechNet article</a>';
$helptxt['ila_display_exif'] = 'Lorsqu\'elle est utilisée avec le mod <a href="https://custom.simplemachines.org/mods/index.php?mod=169">EXIF</a>, cette option vous permet d\'afficher toutes les informations EXIF ​​​​que le mod peut extraire de l\'image.<br /><br />
	<strong>Ce que sont les informations EXIF :</strong>
	<blockquote class="bbc_standard_quote">
		EXIF est l\'abréviation de Exchangeable Image File, un format qui est une norme pour le stockage des informations d\'échange dans les fichiers d\'image de photographie numérique à l\'aide de la compression JPEG. Presque tous les nouveaux appareils photo numériques utilisent l\'annotation EXIF, stockant des informations sur l\'image telles que la vitesse d\'obturation, la compensation d\'exposition, le nombre F, le système de mesure utilisé, si un flash a été utilisé, le numéro ISO, la date et l\'heure de la prise de vue, la balance des blancs , objectifs auxiliaires utilisés et résolution. Certaines images peuvent même stocker des informations GPS afin que vous puissiez facilement voir où les images ont été prises !
	</blockquote>
	Source : <a href="https://exifdata.com">EXIFdata.com</a>';

?>
