<?php

/***********************************************************************************************************
* add-remove-htaccess.php                                                                                  *
************************************************************************************************************
* This mod is licensed under the 2-Clause BSD License, which can be found here:                            *
*	https://opensource.org/licenses/BSD-2-Clause                                                           *
************************************************************************************************************
* Copyright (c) 2014-2020 Douglas Orend, 2018-2022 Kathy Leslie                                            *
* Redistribution and use in source and binary forms, with or without modification, are permitted provided  *
* that the following conditions are met:                                                                   *
* 1. Redistributions of source code must retain the above copyright notice, this list of conditions        *
*    and the following disclaimer.                                                                         *
* 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and *
*    the following disclaimer in the documentation and/or other materials provided with the distribution.  *
* This software is provided by the copyright holders and contributors "as is" and any express or implied   *
* warranties, including, but not limited to, the implied warranties of merchantability and fitness for a   *
* particular purpose are disclaimed. In no event shall the copyright holder or contributors be liable for  *
* any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not       *
* limited to, procurement of substitute goods or services; loss of use, data, or profits; or business      *
* interruption) however caused and on any theory of liability, whether in contract, strict liability, or   *
* tort (including negligence or otherwise) arising in any way out of the use of this software, even if     *
* advised of the possibility of such damage.                                                               *
***********************************************************************************************************/

$SSI_INSTALL = false;
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$SSI_INSTALL = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');

//=============================================================================================
// Add/remove ILA entries to/from the .htaccess file
//=============================================================================================

$insert = "\n# POST AND PM INLINE ATTACHMENTS BEGINS\nRewriteEngine on\nRewriteRule attachment_(\\d+)\.(\\d+)_(\\d+)\.pdf index.php?action=dlattach;topic=$1.$2;attach=$3\n# POST AND PM INLINE ATTACHMENTS ENDS\n";

if (empty($context['uninstalling']))
{
	// Update the .htaccess file so that we can send external sites a good short URL:
	$oldHtaccess = @file_get_contents($boarddir . '/.htaccess');
	$oldHtaccess = str_replace($insert, '', $oldHtaccess) . $insert;
}
else
{
	// Update the .htaccess file to remove our edits!
	$oldHtaccess = file_get_contents($boarddir . '/.htaccess');
	$oldHtaccess = str_replace($insert, '', $oldHtaccess);
}
if ($handle = fopen($boarddir . '/.htaccess', 'w'))
{
	fwrite($handle, $oldHtaccess);
	fclose($handle);
	@chmod($boarddir . '/.htaccess', 0644);
}

// Echo that we are done if necessary:
if ($SSI_INSTALL)
	echo '.htaccess changes made ...';

?>
