------

## Post and PM Inline Attachments
## For SMF 2.0 and SMF 2.1
## v7.08

By [**Dougiefresh**](https://www.simplemachines.org/community/index.php?action=profile;u=253913) and [**GL700Wing**](https://www.simplemachines.org/community/index.php?action=profile;u=112942)
[Link to Mod](https://custom.simplemachines.org/mods/index.php?mod=3770)

------

## Introduction
This mod adds the ability to position your attachments in either your forum post or your personal message post using [attachment=n][/attachment] BBCode (where **n** is the number of the attachment in the post - example: first = 0; second = 1).

___________________________________________________________________________________________________________________________________________________

NOTES FOR SMF 2.0

In order to fully support the [Automatic Attachment Rotation (and Resize)] (https://custom.simplemachines.org/mods/index.php?mod=4087) mod you MUST install this mod FIRST!!
Also, if you subsequently need to uninstall this mod you MUST remove the [Automatic Attachment Rotation (and Resize)] (https://custom.simplemachines.org/mods/index.php?mod=4087) mod first.

In order to support inline attachments in personal messages (PMs) you MUST install the [PM Attachments](https://custom.simplemachines.org/mods/index.php?mod=1974) mod **version 2.6 or later** BEFORE you install this mod!!
Also, if you subsequently need to uninstall the [PM Attachments](https://custom.simplemachines.org/mods/index.php?mod=1974) mod you MUST remove this mod beforehand.

The SMF default WYSIWYG editor will be disabled when this mod is installed because if it is enabled the '(Insert Attachment)' link will not work.

** IMPORTANT NOTE FOR FORUMS USING TAPATALK **
If the Tapatalk plug-in is subsequently updated/reinstalled this mod MUST be uninstalled and reinstalled as it updates some of the Tapatalk plug-in files.  Failure to do this may result in Tapatalk timing out when displaying boards, unread posts, etc.
___________________________________________________________________________________________________________________________________________________

NOTES FOR SMF 2.1

Support has been added for SMF 2.1 to provide backward display and print page compatibility for ILA BBCodes in existing posts of forums that used this mod prior to being upgraded from SMF 2.0.  In addition, Print Page image layout/formatting is the same as when this mod was installed on SMF 2.0.

Support will NOT be added to this mod for inserting attachments inline.

Unfortunately, and because a message may contain a mix of ILA BBCodes and native SMF 2.1 BBCodes for attachments that are inserted inline, it is not possible to remove an obsolete ILA BBCode (eg, [attach id=4  msg=5678]) from the body of a message when an attachment is deleted.
Therefore, if an attachment that was inserted inline into a message by this mod is subsequently deleted the message MUST be saved and then edited again to remove the ILA BBCode that refers to the deleted  attachment (eg, [attach id=4 msg=5678]) BEFORE more attachment are added to the message.
If this procedure isn't followed the text "[ Invalid Attachment ]" may appear when the message is displayed/printed and/or if another attachment is added it will be displayed/printed in the message using the ILA  BBCode (eg, [attach id=4 msg=5678]) that refers to the deleted attachment.
___________________________________________________________________________________________________________________________________________________


## New BBCodes
This mod supports five new BBCodes in order to position your attachments inline:

- **attachment** => Show full expanded picture
- **attach** => Show thumbnail, expandable to full picture
- **attachthumb** => Show thumbnail ONLY, not expandable
- **attachmini** => Show thumbnail, expandable to full picture
- **attachurl** => Shows attachment size, image dimensions, and download count; no picture

### Version 1.0 BBCodes Parameters
Each new BBCode accepts the following formats:

- [attach=**{id}**]
- [attach=**{id}**,**{width}**][/attach]
- [attach=**{id}**,**{width}**,**{height}**][/attach]

In each case, **{id}** is the attachment number relative to the topic, **{width}** is the max desired width, **{height}** is the max desired height, **{pixels}** is the number of pixels surrounding the image, and **{float}** can be either **left**, **right**, or **center**.  All text between the opening and closing attachment tags is discarded.

### Version 2.0+ BBCode Parameters

Version 2.0+ introduced a new format that allows the following parameters:
- [attachment id=**{id}** {parameter}={value}][/attachment]

Allowed parameters:
- **{attachment id}** => ID number of the attachment to show inline (NOT attachment number!)
- **width={width}** => Desired width of image to show.  Valid: positive integers.
- **height={height}** => Desired height of image to show.  Valid: positive integers.
- **float={float}** => Floats image to relation to everything else.  Valid: left, right, center
- **margin={pixels}** => Margin around inline attachment.  Valid: positive integers
- **margin-left={pixels}** => Left margin around inline attachment.  Valid: positive integers
- **margin-right={pixels}** => Right margin around inline attachment.  Valid: positive integers
- **margin-top={pixels}** => Top margin around inline attachment.  Valid: positive integers
- **margin-bottom={pixels}** => Bottom margin around inline attachment.  Valid: positive integers
- **border-style={style}** => Border style.  Valid: none, dotted, dashed, solid, double, groove, ridge, inset, outset
- **border-width={pixels}** => Border width around inline attachment.  Valid: positive integers
- **border-color={color}** => Border color.  Valid formats: plain text, #xxx, #xxxxxx, rbg(d,d,d)
- **scale={answer}** => Override scaling of image.  Valid: true, false, yes, no
- **msg={msg ID}** => Message ID number.  Valid: positive integers.

In each case, **{id}** is the attachment number relative to the topic, **{width}** is the max desired width, **{height}** is the max desired height, **{pixels}** is the number of pixels surrounding the image, and **{float}** can be either **left**, **right**, or **center**.  All text between the opening and closing attachment tags is discarded.

### Version 3.0+ BBCode Format
**Version 3.0** makes further changes and allows the use of the inline attachments BBCodes **WITHOUT** closing brackets, as well as using attachments from another post!

### Version 3.11+ BBCode Format
**Version 3.11** makes further changes and allows the use of closed tags, like **[attach]**.  This new form is auto-numbered!  Note that the **[attach]** tag is processed first, then **[attachment]**, then **[attachmini]**, then **[attachthumb]**, then **[attachurl]**.

## Other Mod Features
- Error Text strings are shown for invalid/missing/deleted attachments.
- Inline attachment processes takes place in the **parse_bbc** function, which means any parsing requests can benefit from this mod!
- Text string is shown as alternative in code.
- Adds [Insert Attachment x] next to each attachment/upload box to insert the BBCode.
- Attachments used by the inline attachments mod can be omitted from the attachment display at the bottom of the post.
- Reloads the attachments for Ajax Editing.
- Removing an attachment removes the attachment BBCode for that attachment & changes remaining attachment tags to ensure proper post appearance.
- Text between inline attachment brackets are removed (as of version 3.0).
- Automatic modification of boilerplates that use the ILA tags within them when changing "1-based" numbering option.
- For print page view - option to show inline images in the message body, and to show non-inline images and list non-image attachments below the message body.

## Admin Settings
The BBCodes may be disabled by going to ***Admin* -> *Forums* -> *Posts and Topics* -> *Bulletin Board Code*** and unchecking the **attachment**, **attach** , **attachthumb** , **attachmini** and **attachurl** BBCodes.

On the ***Admin* -> *Layout* -> *Attachments and Avatars* -> *Inline Attachments*** page, there are several new options:

- Remove attachment image under post after in-post use.
- Use "One based numbering" for attachment IDs (first attachment is 1 instead of 0).
- Allow quoted attachment images from another post.
- Show download link and counter under inline attachment, like non-inline attachments.
- Turn off "nosniff" option for IE and Chrome browsers.
- Whether "attach" tag is the same as the "attachment" tag.
- Allow playing inline attachments that are videos.
- Use Highslide effects for inline attachments. (Only if supported Highslide mod is installed)
- Show EXIF information (Only if [EXIF](https://custom.simplemachines.org/mods/index.php?mod=169) mod is installed)
- Display attachments below the post in a line/row (the number of attachments per row/line can be configured). (v7.00 onwards)
- Separate download link and counter for attachments displayed below post. (v7.00 onwards)

## Attachment Download Permissions (v7.00 onwards)
- Added 'Do NOT allow attachments displayed inline to be downloaded' and 'Do NOT allow attachments displayed below post to be downloaded' permissions to prevent attachments displayed inline and/or below the post from being downloaded (only thumbnails and/or attachment names will be shown).  Configured via *Admin* -> *Permissions* -> *General Permissions*.  Can be configured for membergroup and/or board permission profiles.

## Compatibility Notes
This mod was tested on SMF 2.0.17, but should work on SMF 2.0 and up.
SMF 1.x is NOT supported.
SMF 2.1 will NOT be supported for inserting attachments inline as this is a standard feature of SMF 2.1.

The following mod (not required) MUST be installed AFTER this mod:
- [Automatic Attachment Rotation (and Resize)] (https://custom.simplemachines.org/mods/index.php?mod=4087)

These mods (not required) MUST be installed BEFORE this mod:
- [Tapatalk plug-in**](https://www.tapatalk.com/download_SimpleMachines)
- [Who Downloaded Attachment](https://custom.simplemachines.org/mods/index.php?mod=4146)
- [Anti-Spam Links] (https://custom.simplemachines.org/mods/index.php?mod=2404)
- [Highslide Image Viewer](https://custom.simplemachines.org/mods/index.php?mod=1450)
- [HS4SMF v0.8.1](https://github.com/Spuds/SMF-HS4SMF)
- [PM Attachments](https://custom.simplemachines.org/mods/index.php?mod=1974)

These mods (not required) can be installed at any time:
- [JQLightBox](https://custom.simplemachines.org/mods/index.php?mod=1605)
- [SCEditor4Smf](https://custom.simplemachines.org/mods/index.php?mod=3594)
- [EXIF](https://custom.simplemachines.org/mods/index.php?mod=169)
- [Boilerplates for Posts](https://custom.simplemachines.org/mods/index.php?mod=2233)
- [Lazyload](https://custom.simplemachines.org/mods/index.php?mod=4259)
- [SMFPacks Advanced Editor] (url=https://www.smfpacks.com/wysiwyg/)
- [Play Media Attachments] (url=https://custom.simplemachines.org/mods/index.php?mod=4131)

The following mods (not required) may also be installed BEFORE  versions of this mod prior to v7.00 - they are not compatible with v7.00 and should be uninstalled prior to installing v7.00 or later.
- [Custom View of Attachments](https://dragomano.ru/mods/custom-view-of-attachments)
- [New Hooks](https://www.simplemachines.org/community/index.php?topic=418177.msg3499865#msg3499865) (Required for [Custom View of Attachments](https://dragomano.ru/mods/custom-view-of-attachments))

The following mod (not required) may also be installed BEFORE  versions of this mod prior to v7.03 - it is not compatible with v7.03 and should be uninstalled prior to installing v7.03 or later.
- [Images on Print Page](url=https://github.com/Spuds/SMF-Images-on-Printpage)

## Translators
- Dutch: [@rjen] (https://www.simplemachines.org/community/index.php?action=profile;u=287786)
- Spanish Latin: [Rock Lee] (https://www.simplemachines.org/community/index.php?action=profile;u=322597)

## License
Copyright (c) 2014-2020 Douglas Orend, 2018-2022 Kathy Leslie
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer; and
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
