<?php

/***********************************************************************************************************
* upgrade-add-remove-hooks-v707.php                                                                                     *
************************************************************************************************************
* This mod is licensed under the 2-Clause BSD License, which can be found here:                            *
*	https://opensource.org/licenses/BSD-2-Clause                                                           *
************************************************************************************************************
* Copyright (c) 2014-2020 Douglas Orend, 2018-2022 Kathy Leslie                                            *
* Redistribution and use in source and binary forms, with or without modification, are permitted provided  *
* that the following conditions are met:                                                                   *
* 1. Redistributions of source code must retain the above copyright notice, this list of conditions        *
*    and the following disclaimer.                                                                         *
* 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and *
*    the following disclaimer in the documentation and/or other materials provided with the distribution.  *
* This software is provided by the copyright holders and contributors "as is" and any express or implied   *
* warranties, including, but not limited to, the implied warranties of merchantability and fitness for a   *
* particular purpose are disclaimed. In no event shall the copyright holder or contributors be liable for  *
* any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not       *
* limited to, procurement of substitute goods or services; loss of use, data, or profits; or business      *
* interruption) however caused and on any theory of liability, whether in contract, strict liability, or   *
* tort (including negligence or otherwise) arising in any way out of the use of this software, even if     *
* advised of the possibility of such damage.                                                               *
************************************************************************************************************
* This file is a simplified database installer. It does what it is supposed to.                            *
***********************************************************************************************************/

$SSI_INSTALL = false;
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$SSI_INSTALL = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');

require_once($sourcedir.'/Subs-Admin.php');
db_extend('packages');

global $modSettings;

$smf20 = (substr($modSettings['smfVersion'], 0, 3) == '2.0');
$smf21 = (substr($modSettings['smfVersion'], 0, 3) == '2.1');

//=============================================================================================
// Add mod hooks ...
//=============================================================================================



//=============================================================================================
// Remove mod hooks ...
//=============================================================================================

// Define the hooks to remove
$hook_functions = array(
	'integrate_bbc_buttons' => 'ILA_Button',
	'integrate_attachments' => 'ILA_Below_Post_Show',
);

if ($smf21)
	$hook_functions += array(
		'integrate_buffer' => 'ILA_Below_Post_Buffer',
	);

// Remove the hook(s) ...
foreach ($hook_functions as $hook => $function)
	remove_integration_function($hook, $function);

?>
